Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class JpegImagesToMovie.ImageSourceStream

    java.lang.Object
      JpegImagesToMovie.ImageSourceStream

All Implemented Interfaces:
  javax.media.Controls, javax.media.protocol.PullBufferStream, javax.media.protocol.SourceStream

Enclosing class:
  JpegImagesToMovie

     class JpegImagesToMovie.ImageSourceStream

extends Object
implements javax.media.protocol.PullBufferStream

The source stream to go along with ImageDataSource.

Field Summary
`(package private) boolean` | `ended`
`(package private) javax.media.format.VideoFormat` | `format`
`(package private) long` | `frame`
`(package private) int` | `height`
`(package private) List` | `images`
`(package private) int` | `nextImage`
`(package private) int` | `width`

Fields inherited from interface javax.media.protocol.SourceStream
`LENGTH_UNKNOWN`

Constructor Summary
`JpegImagesToMovie.ImageSourceStream(int width, int height, int frameRate, List images)`

Method Summary
`boolean` | `endOfStream()`
`javax.media.protocol.ContentDescriptor` | `getContentDescriptor()`
`long` | `getContentLength()`
`Object` | `getControl(String type)`
`Object[]` | `getControls()`
`javax.media.Format` | `getFormat()` Return the format of each video frame.
`void` | `read(javax.media.Buffer buf)` This is called from the Processor to read a frame worth of video data.
`boolean` | `willReadBlock()` We should never need to block assuming data are read from files.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### images

    List images

### width

    int width

### height

    int height

### format

    javax.media.format.VideoFormat format

### frame

    long frame

### nextImage

    int nextImage

### ended

    boolean ended

Constructor Detail

### JpegImagesToMovie.ImageSourceStream

    public JpegImagesToMovie.ImageSourceStream(int width,
                                               int height,
                                               int frameRate,
                                               List images)

Method Detail

### willReadBlock

    public boolean willReadBlock()

  We should never need to block assuming data are read from files.

  Specified by:
    `willReadBlock` in interface `javax.media.protocol.PullBufferStream`

### read

    public void read(javax.media.Buffer buf)
              throws IOException

  This is called from the Processor to read a frame worth of video data.

  Specified by:
    `read` in interface `javax.media.protocol.PullBufferStream`
  Throws:
    `IOException`

### getFormat

    public javax.media.Format getFormat()

  Return the format of each video frame. That will be JPEG.

  Specified by:
    `getFormat` in interface `javax.media.protocol.PullBufferStream`

### getContentDescriptor

    public javax.media.protocol.ContentDescriptor getContentDescriptor()

  Specified by:
    `getContentDescriptor` in interface `javax.media.protocol.SourceStream`

### getContentLength

    public long getContentLength()

  Specified by:
    `getContentLength` in interface `javax.media.protocol.SourceStream`

### endOfStream

    public boolean endOfStream()

  Specified by:
    `endOfStream` in interface `javax.media.protocol.SourceStream`

### getControls

    public Object[] getControls()

  Specified by:
    `getControls` in interface `javax.media.Controls`

### getControl

    public Object getControl(String type)

  Specified by:
    `getControl` in interface `javax.media.Controls`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD